CRAN Package Check Results for Package pcalg

Last updated on 2021-06-12 11:52:18 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 2.7-3 117.46 400.24 517.70 OK
r-devel-linux-x86_64-debian-gcc 2.7-3 90.60 300.63 391.23 OK
r-devel-linux-x86_64-fedora-clang 2.7-3 641.81 NOTE
r-devel-linux-x86_64-fedora-gcc 2.7-3 618.69 OK
r-devel-windows-x86_64 2.7-3 113.00 506.00 619.00 NOTE
r-devel-windows-x86_64-gcc10-UCRT 2.7-3 ERROR
r-patched-linux-x86_64 2.7-3 108.31 384.17 492.48 OK
r-patched-solaris-x86 2.7-3 775.20 NOTE
r-release-linux-x86_64 2.7-3 107.36 381.68 489.04 OK
r-release-macos-arm64 2.7-2 ERROR
r-release-macos-x86_64 2.7-3 NOTE
r-release-windows-ix86+x86_64 2.7-3 209.00 604.00 813.00 NOTE
r-oldrel-macos-x86_64 2.7-3 NOTE
r-oldrel-windows-ix86+x86_64 2.7-3 230.00 782.00 1012.00 NOTE

Check Details

Version: 2.7-3
Check: installed package size
Result: NOTE
     installed size is 11.3Mb
     sub-directories of 1Mb or more:
     data 2.1Mb
     libs 6.0Mb
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-windows-x86_64, r-patched-solaris-x86, r-release-macos-x86_64, r-release-windows-ix86+x86_64, r-oldrel-macos-x86_64, r-oldrel-windows-ix86+x86_64

Version: 2.7-3
Check: Rd cross-references
Result: NOTE
    Undeclared packages ‘combinat’, ‘unifDAG’ in Rd xrefs
Flavor: r-devel-linux-x86_64-fedora-clang

Version: 2.7-3
Check: package dependencies
Result: NOTE
    Package suggested but not available for checking: 'Rgraphviz'
Flavor: r-devel-windows-x86_64-gcc10-UCRT

Version: 2.7-3
Check: Rd cross-references
Result: NOTE
    Package unavailable to check Rd xrefs: 'Rgraphviz'
Flavor: r-devel-windows-x86_64-gcc10-UCRT

Version: 2.7-3
Check: examples
Result: ERROR
    Running examples in 'pcalg-Ex.R' failed
    The error most likely occurred in:
    
    > ### Name: ages
    > ### Title: Estimate an APDAG within the Markov equivalence class of a DAG
    > ### using AGES
    > ### Aliases: ages
    > ### Keywords: models graphs
    >
    > ### ** Examples
    >
    >
    > ## Example 1: ages adds correct orientations: Bar --> V6 and Bar --> V8
    >
    > set.seed(77)
    >
    > p <- 8
    > n <- 5000
    > ## true DAG:
    > vars <- c("Author", "Bar", "Ctrl", "Goal", paste0("V",5:8))
    > gGtrue <- randomDAG(p, prob = 0.3, V = vars)
    > data = rmvDAG(n, gGtrue)
    >
    >
    > ## Estimate the aggregated PDAG with ages
    > ages.fit <- ages(data = data)
    >
    >
    > ## Estimate the essential graph with ges
    > ## We specify the phases in order to have a fair comparison of the algorithms
    > ## Without the phases specified it would be easy to find examples
    > ## where each algorithm outperforms the other
    > score <- new("GaussL0penObsScore", data)
    > ges.fit <- ges(score, phase = c("forward","backward"), iterate = FALSE)
    >
    > ## Plots
    > par(mfrow=c(1,3))
    > plot(ges.fit$essgraph, main="Estimated CPDAG with GES")
    Error: package required but not installed: 'Rgraphviz'
    Execution halted
Flavor: r-devel-windows-x86_64-gcc10-UCRT

Version: 2.7-3
Check: tests
Result: ERROR
     Running 'test_LINGAM.R'
     Running 'test_addBgKnowledge.R'
    Running the tests in 'tests/test_addBgKnowledge.R' failed.
    Complete output:
     > library(pcalg)
     >
     > res <- rep(FALSE, 10)
     > set.seed(123)
     > g <- pcalg::randomDAG(n = 7, prob = 0.3)
     > plot(g)
     Error: package required but not installed: 'Rgraphviz'
     Execution halted
Flavor: r-devel-windows-x86_64-gcc10-UCRT

Version: 2.7-3
Check: running R code from vignettes
Result: WARN
    Errors in running code in vignettes:
    when running code in 'pcalgDoc.Rnw'
     ...
    + alpha = 0.01)
    
    > stopifnot(require(Rgraphviz))
    Loading required package: Rgraphviz
    Warning in library(package, lib.loc = lib.loc, character.only = TRUE, logical.return = TRUE, :
     there is no package called 'Rgraphviz'
    
     When sourcing 'pcalgDoc.R':
    Error: require(Rgraphviz) is not TRUE
    Execution halted
    when running code in 'vignette2018.Rnw'
     ...
    > library(pcalg)
    
    > stopifnot(require(Rgraphviz))
    Loading required package: Rgraphviz
    Warning in library(package, lib.loc = lib.loc, character.only = TRUE, logical.return = TRUE, :
     there is no package called 'Rgraphviz'
    
     When sourcing 'vignette2018.R':
    Error: require(Rgraphviz) is not TRUE
    Execution halted
    
     'pcalgDoc.Rnw' using 'UTF-8'... failed
     'vignette2018.Rnw' using 'UTF-8'... failed
Flavor: r-devel-windows-x86_64-gcc10-UCRT

Version: 2.7-3
Check: re-building of vignette outputs
Result: NOTE
    Error(s) in re-building vignettes:
    --- re-building 'pcalgDoc.Rnw' using Sweave
    Loading required package: Rgraphviz
    Warning in library(package, lib.loc = lib.loc, character.only = TRUE, logical.return = TRUE, :
     there is no package called 'Rgraphviz'
    
    Error: processing vignette 'pcalgDoc.Rnw' failed with diagnostics:
     chunk 6 (label = exIntroPlot)
    Error : require(Rgraphviz) is not TRUE
    
    --- failed re-building 'pcalgDoc.Rnw'
    
    --- re-building 'vignette2018.Rnw' using Sweave
    Loading required package: Rgraphviz
    Warning in library(package, lib.loc = lib.loc, character.only = TRUE, logical.return = TRUE, :
     there is no package called 'Rgraphviz'
    
    Error: processing vignette 'vignette2018.Rnw' failed with diagnostics:
     chunk 2 (label = loadPackage)
    Error : require(Rgraphviz) is not TRUE
    
    --- failed re-building 'vignette2018.Rnw'
    
    SUMMARY: processing the following files failed:
     'pcalgDoc.Rnw' 'vignette2018.Rnw'
    
    Error: Vignette re-building failed.
    Execution halted
Flavor: r-devel-windows-x86_64-gcc10-UCRT

Version: 2.7-2
Check: package dependencies
Result: ERROR
    Package required but not available: ‘RBGL’
    
    See section ‘The DESCRIPTION file’ in the ‘Writing R Extensions’
    manual.
Flavor: r-release-macos-arm64